// ======================================================================
//
// AAI LOGIN WITH SHIBBOLETH HANDLING MULTIPLE ORGANIZATIONS
// 
// javascript functions for mode = "boxes"
//
// License: GNU GPL 3.0
// Source: https://git-repo.iml.unibe.ch/iml-open-source/login-aai
// ======================================================================


// ----------------------------------------------------------------------
// VARS
// ----------------------------------------------------------------------

var oFilter = document.getElementById('filterbox');
var sLsvar = 'aailogin-q';


// ----------------------------------------------------------------------
// FUNCTIONS
// ----------------------------------------------------------------------

/**
 * Apply filter and reduce listed Idps
 */
function applyfilter(){

    if(oFilter){
        var q = document.getElementById('filter').value;

        for(var i=0; i<document.getElementsByClassName('idp').length; i++){
            var idp = document.getElementsByClassName('idp')[i];

            var bShow=(q==""
                ? true
                  // strip innerHTML and compare lowercase of it with lowercase of query
                : idp.innerHTML.replace(/<[^>]*>/g, "").toLowerCase().indexOf(q.toLowerCase())>=0
            );
                
            idp.className = bShow ? 'idp' : 'idp hide';
            document.getElementById('resetfilter').style.display = (q>"") ? 'inline': 'none';
        }
        localStorage.setItem(sLsvar,q);
    };
}

function setFilter(sNewFiltervalue){
    document.getElementById('filter').value=sNewFiltervalue;
    applyfilter();    
}

function resetFilter(){
    setFilter("");
}
/**
 * Enable filter box if static_link is in use
 * It renders an input field, reads the last search value from local storage 
 * and apllies this filter
 */
function showFilterBox(){
    if(oFilter){
        var q=localStorage.getItem(sLsvar);
        if(!q){
            q='';
        }

        var btnList = '';

        var aTlds = [];
        for(var i=0; i<document.getElementsByClassName('idp').length; i++){
            var idp = document.getElementsByClassName('idp')[i];
            var sText=idp.innerHTML.replace(/<[^>]*>/g, "").split('.').pop().trim().toUpperCase();
            if (sText){
                aTlds[sText]=1;
            }
        }
        // if(aTlds.length){            
            for(var tld in aTlds){
                btnList+=' <a href="#" class="filterbutton" onclick="setFilter(\' .'+tld+'\'); return false;">.'+tld+'</a> ';
            }
        // }

        oFilter.style.display = 'block';

        oFilter.innerHTML='<input type="text" id="filter" placeholder="" onchange="applyfilter()" onkeydown="applyfilter()" onkeyup="applyfilter()" value="'+q+'"/>'
            +'<a id="resetfilter" onclick="resetFilter(); return false;"> X </a><br>'
            + (btnList ? '<br>'+btnList : '' )
            ;
        applyfilter();
        for(var i=0; i<document.getElementsByClassName('idp').length; i++){
            var idp = document.getElementsByClassName('idp')[i];
            idp.setAttribute("onclick","localStorage.setItem(sLsvar,this.innerText);");
        }
    };
};

// ----------------------------------------------------------------------
// INIT
// ----------------------------------------------------------------------

showFilterBox();

// ----------------------------------------------------------------------
